function separate(rss_content) {
    var image_array = []


    image_array = rss_content.split("<img")
    // console.log("SPLIT");

    image_array.shift() ;

    for (var i=0; i<image_array.length; i++)
    {
        try {
            image_array[i] = image_array[i].split('src=')[1].split(/"|"/)[1]
            if (image_array[i].indexOf("//") === 0)
                image_array[i] = "http:" + image_array[i]
        }
        catch(err) {
            ; // do nothing
        }
    }

    return image_array
}

function getFirstImage(content) {
    var imgArr = separate(content)

    if (imgArr.length > 0)
        return imgArr[0]

    return null
}

function grabArticleImage(e) {
    if (e.mediaGroups) {
        var medias = e.mediaGroups
        for (var i = 0; i < medias.length; i++) {
            var media = medias[i]

            for (var j = 0; j < media.contents.length; j++) {
                var cont = media.contents[j]

                if (cont.type === "image/jpeg" || cont.type === "image/png" ||
                        cont.type === "image/jpeg" || cont.type === "image/pjpeg" ||
                        cont.type === "image/svg+xml" || cont.medium === "image") {
                    return cont.url
                }
            }
        }
    }

    var image = getFirstImage(e.content)
    if (image != null) {
        return image
    }

    return null
}

function clearFromBadTags(content) {
    /* Remove non empty too. Useless anyway.
     */
    content = content.replace(/alt=".*?"/g, "")
    content = content.replace(/title=".*?"/g, "")
    return content
}
